#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n,k,i,p;
    int a[20001];
    cin>>n>>k;
    for(i=0;i<n;i++)
        cin>>a[i];
    for(i=0;i<n;i++)
    {
        if(a[i]==k)
        {
           if(i!=(n-1))
           {
            p=a[i+1];
            break;
           }
           else
           {
               p=a[0];
               break;
           }

        }
    }
    cout<<p;
    return 0;
}